Skip to content

Update a milestone

PATCH
/projects/{id}/milestones/{milestoneId}
curl --request PATCH \
--url https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/milestones/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "title": "example", "description": "example", "due_date": "2026-04-15", "status": "open" }'
id
required
string format: uuid

Project UUID

milestoneId
required
string format: uuid
Media type application/json
object
title
string
description
string | null
due_date
string | null format: date
status
string
Allowed values: open closed

Updated milestone

Media type application/json
object
milestone
required
object
id
required
string format: uuid
project_id
required
string format: uuid
title
required
string
description
string | null
due_date
string | null format: date
status
required
string
Allowed values: open closed
github_milestone_number
integer | null
github_milestone_url
string | null
github_repo
string | null
open_tickets
integer
closed_tickets
integer
total_tickets
integer
progress_pct
integer
horizon
string
Allowed values: now next later
position
integer
created_at
required
string format: date-time
updated_at
string format: date-time

Invalid request

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Not found

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number